List runs
curl --request GET \
--url https://api.ziet.ai/v1/runs \
--header 'Authorization: <api-key>'import requests
url = "https://api.ziet.ai/v1/runs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ziet.ai/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"input": {},
"output": {},
"max_steps": 123,
"max_tokens": 123,
"memory": {
"id": "<string>",
"run_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "<string>",
"action_id": "<string>",
"input": {},
"output": {},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"error": {
"message": "<string>",
"code": "<string>"
},
"metadata": {},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>"
}Runs
List runs
Get all agent runs with optional filtering.
GET
/
runs
List runs
Authorizations
Format: 'Api-Key sk_live_YOUR_KEY'
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
created, running, waiting_approval, completed, failed, cancelled ⌘I